This service will be undergoing maintenance at 03:30 UTC, 2016-05-27. It is expected to last about 2 hours
Bug 243501 - Review Request: qtiplot-doc - Documentation of qtiplot
Review Request: qtiplot-doc - Documentation of qtiplot
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Package Reviews List
:
Depends On: 240373
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2007-06-09 03:53 EDT by Frank Büttner
Modified: 2008-11-07 06:44 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-07 06:44:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Comment 1 Till Maas 2007-09-08 10:43:11 EDT
License should be GFDL  according to
http://fedoraproject.org/wiki/Licensing#head-19fc3ef10add085a28cb06784dc34ef8b05a9bd6-2
and index.html


You use tabs and spaces in the spec, e.g. in Group you align with spaces but in
URL you align with tabs. Please use either tabs or spaces.


I did not try it but I guess you can simplify the spec when you use in %prep
%setup -q -n manual-en
dos2unix qtiplot.adp

and in %files
%doc *

Then you can remove
mkdir -p $RPM_BUILD_ROOT/%{_docdir}/%{name}
tar -xjf %{SOURCE0} -C $RPM_BUILD_ROOT/%{_docdir}/%{name}
dos2unix $RPM_BUILD_ROOT/%{_docdir}/%{name}/manual-en/qtiplot.adp
from %install.


In %files a %defattr(-,root,root,-) before the %doc is missing.


According to http://soft.proindependent.com/manuals.html the documentation is
version 0.8.9


Imho you should skip the %{?dist} tag in Release and ask rel-eng everytime you
built a package to sync it to all Fedora releases, this will also avoid updating
the manual everytime one updrades the system.
Comment 2 Till Maas 2007-09-08 10:47:27 EDT
I forgot: run dos2unix with --keepdate
Comment 3 Frank Büttner 2007-09-08 12:24:49 EDT
The simple setup will not work.:( So I must use complex one.
So here the next try.(I have correct the version number of the doc)
SRPM:
http://downloads.sourceforge.net/qsmartcard/qtiplot-doc-0.8.9-1.fc8.src.rpm?use_mirror=osdn
SPEC: http://downloads.sourceforge.net/qsmartcard/qtiplot-doc.spec?use_mirror=osdn
Comment 4 Frank Büttner 2007-09-30 05:53:06 EDT
The new spec file:
http://downloads.sourceforge.net/qsmartcard/qtiplot-doc.spec?use_mirror=osdn
Comment 5 Till Maas 2008-06-09 17:34:25 EDT
I just realized, that I totally neglected this review request. I noticed
however, that there is now a new release of the manual. I just tried the new
version, the Sources needs to be adjusted and the dos2unix invokation does not
work. The upstream tarball contains .svn directories, which creates a huge
rpmlint warning. Imho they should be removed. 

Also the specfile contains both space and tabs, only after the Buildroot and the
Group tag are spaces, after the other tags are tabs. I would only use spaces,
but you need to choose one method to align the tags.


If you still want to get this package in, please reply with a new spec and I
will try very hard to complete this review soon after your reply.
Comment 6 Rakesh Pandit 2008-09-03 11:01:09 EDT
@Frank
Any updates in here?
This request will be closed with in a week if no updates are provided.
Comment 7 Till Maas 2008-11-07 06:44:00 EST
There was no response for a while and iirc I read somewhere that the submitter is currently very busy.

Therefore I close this for now, feel free to reopen this once you want to finish it.

Note You need to log in before you can comment on or make changes to this bug.